Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.pear.tools
Interface InstallationController.PackageSelector

All Known Implementing Classes:
  PackageSelectorGUI, SimplePackageSelector

Enclosing class:
  InstallationController

    public static interface InstallationController.PackageSelector

The `PackageSelector` interface defines methods required for manually or automatically selecting installed PEAR package root directories and PEAR package files.

Method Summary
`File` | `selectPackageDirectory(String componentId)` Selects root directory of an installed PEAR package in the local file system.
`File` | `selectPackageFile(String componentId)` Selects a PEAR package file in the local file system.
`URL` | `selectPackageUrl(String componentId)` Selects a PEAR package URL in the network.

Method Detail

### selectPackageDirectory

    File selectPackageDirectory(String componentId)

  Selects root directory of an installed PEAR package in the local file system. If the given component is not installed yet, returns `null`.

  Parameters:
    `componentId` - The ID of the given installed component.
  Returns:
    The root directory of the installed PEAR package, or `null`, if the given component is not installed yet.

### selectPackageFile

    File selectPackageFile(String componentId)

  Selects a PEAR package file in the local file system. If the given component PEAR file is not found, returns `null`.

  Parameters:
    `componentId` - The ID of the given component.
  Returns:
    The given PEAR package file, or `null`, if the PEAR file is not found in the local file system.

### selectPackageUrl

    URL selectPackageUrl(String componentId)

  Selects a PEAR package URL in the network. If the given component PEAR package URL is not found, returns `null`.

  Parameters:
    `componentId` - The ID of the given component.
  Returns:
    The given PEAR package URL, or `null`, if the PEAR package URL is not found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 The Apache Software Foundation. All Rights Reserved.